| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Events | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Forms.AssemblySelector Class Reference
Inheritance diagram for IG.Forms.AssemblySelector:
[legend]
Collaboration diagram for IG.Forms.AssemblySelector:
[legend]

## Public Member Functions
| AssemblySelector ()
Assembly[] | GetLoadedAssembliesArray ()
| Returns an array of all loaded assemblies. More...
IList< Assembly > | GetLoadedAssemblies (IList< Assembly > assemblies=null, bool clearBefore=true)
| Stores all loaded assemblies to the specified list and returns the list. More...
Assembly[] | GetReferencedAssembliesArray ()
| Returns an array of all referenced assemblies. More...
IList< Assembly > | GetReferencedAssemblies (IList< Assembly > assemblies=null, bool clearBefore=true)
| Stores all referenced assemblies to the specified list and returns the list. More...
IList< Assembly > | GetSelectableAssemblies (IList< Assembly > assemblies=null, bool clearBefore=true)
| Stores all selectable assemblies to the specified list and returns the list. More...

## Protected Member Functions
void | RefreshLoadedAssembliesList ()
| Re-creates the list of loaded assemblies. More...
void | RefreshReferencedAssembliesList ()
| Re-creates the list of referenced assemblies. More...
virtual void | OnAssemblySelected ()
| Called whenever the selected assembly changes. More...
virtual void | OnSelectionParametersChanged ()
| Must be called whenever the selection parameters change. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
static string | InitialTextSelectedAssembly`[get, set]`
| Initial text that is written in the textbox where loaded assembly is written. More...
static string | InitialTextLoadedList`[get, set]`
| Initial text that is written in the combobox with a list of loaded assemblies. More...
static string | InitialTextReferencedList`[get, set]`
| Initial text that is written in the combobox with a list of referenced assemblies. More...
static string | InitialTextLblFullName`[get, set]`
| Initial text that is written on the label that shows full name of the selected assembly. More...
Assembly | SelectedAssembly`[get, set]`
| Selected assembly. More...
Assembly | FileSelectedAssembly`[get, protected set]`
| The last assembly that was selected in the file sistem (no matter whether this is still the selected assembly or not). More...
bool | SelectFromFiles`[get, set]`
| Indicates whether assemblies can also be loaded from the file system. If false then assemblies can only be selected from the lists of loaded and / or referenced assemblies. More...
bool | SelectFromLoadedAssemblies`[get, set]`
| Indicates whether assemblies can also be selected from the list of loaded assemblies. More...
bool | SelectFromReferencedAssemblies`[get, set]`
| Indicates whether assemblies can also be selected from the list of referenced assemblies. More...
List< Assembly > | LoadedAssembliesList`[get]`
| List of all loaded assemblies. More...
List< Assembly > | ReferencedAssembliesList`[get]`
| List of all referenced assemblies. More...

## Events
EventHandler | AssemblySelected
| Event that is fired whenever the selected assembly changes. More...
EventHandler | SelectionParametersChanged
| Event that is fired whenever the selection parameters change (e.g., whether assemblies can be selected from the file system, or from the set of loaded assemblies, or from the set of assemblies referenced by the current assembly). More...

## Private Member Functions
void | AssemblySelector_Load (object sender, EventArgs e)
| Executed when the current DLL selector control is loaded. More...
void | txtSelectedAssembly_TextChanged (object sender, EventArgs e)
void | btnRefresh_Click (object sender, EventArgs e)
void | comboLoadedAssemblies_SelectedIndexChanged (object sender, EventArgs e)
void | comboReferencedAssemblies_SelectedIndexChanged (object sender, EventArgs e)
void | fileSelector1_FileSelected (object sender, EventArgs e)
void | chkFiles_CheckedChanged (object sender, EventArgs e)
void | chkLoaded_CheckedChanged (object sender, EventArgs e)
void | chkReferenced_CheckedChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
Assembly | _asembly
Assembly | _fileSelectedAssembly = null
bool | _selectFromFiles
bool | _selectFromLoadedAssemblies = true
bool | _selectFromReferencedAssemblies = false
List< Assembly > | _loadedAssembliesList = new List<Assembly>()
List< Assembly > | _referencedAssembliesList = new List<Assembly>()
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
FileSelector | fileSelector1
System.Windows.Forms.Button | btnRefresh
System.Windows.Forms.Label | lblSelectedAssembly
System.Windows.Forms.TextBox | txtSelectedAssembly
System.Windows.Forms.ComboBox | comboLoadedAssemblies
System.Windows.Forms.ComboBox | comboReferencedAssemblies
System.Windows.Forms.CheckBox | chkFiles
System.Windows.Forms.CheckBox | chkLoaded
System.Windows.Forms.CheckBox | chkReferenced
System.Windows.Forms.Label | lblAssemblyFullNameTitle
System.Windows.Forms.Label | lblFullName

## Static Private Attributes
static string | _initialTextSelectedAssembly = "<< Type assembly name or select in lists below. >>"
static string | _initialTextLoadedList = "<< Loaded... >>"
static string | _initialTextReferencedList = "<< Referenced... >>"
static string | _initialTextLblFullName = "<< Assembly not selected. >>"

## Constructor & Destructor Documentation

IG.Forms.AssemblySelector.AssemblySelector | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.AssemblySelector.RefreshLoadedAssembliesList | ( |  | ) |
| inline protected

Re-creates the list of loaded assemblies.

References IG.Lib.UtilSystem.GetAssemblyName(), and IG.Lib.UtilSystem.GetLoadedAssemblies().

void IG.Forms.AssemblySelector.RefreshReferencedAssembliesList | ( |  | ) |
| inline protected

Re-creates the list of referenced assemblies.

References IG.Lib.UtilSystem.GetAssemblyName(), and IG.Lib.UtilSystem.GetReferencedAssemblies().

Assembly [] IG.Forms.AssemblySelector.GetLoadedAssembliesArray | ( |  | ) |
| inline

Returns an array of all loaded assemblies.

IList<Assembly> IG.Forms.AssemblySelector.GetLoadedAssemblies | ( | IList< Assembly > | assemblies = `null`,
|  | bool | clearBefore = `true`
| ) |  |
| inline

Stores all loaded assemblies to the specified list and returns the list.

The method takes care that assemblies stored are unique.

Parameters

  assemblies | List where assemblies are stored.
  clearBefore | Whether the list is cleared at the beginnning of operation.

Returns
  The list where assemblies are stored. This enables one to put null list as argument.

Assembly [] IG.Forms.AssemblySelector.GetReferencedAssembliesArray | ( |  | ) |
| inline

Returns an array of all referenced assemblies.

IList<Assembly> IG.Forms.AssemblySelector.GetReferencedAssemblies | ( | IList< Assembly > | assemblies = `null`,
|  | bool | clearBefore = `true`
| ) |  |
| inline

Stores all referenced assemblies to the specified list and returns the list.

Parameters

  assemblies | List where assemblies are stored.
  clearBefore | Whether the list is cleared at the beginnning of operation.

Returns
  The list where assemblies are stored. This enables one to put null list as argument.

IList<Assembly> IG.Forms.AssemblySelector.GetSelectableAssemblies | ( | IList< Assembly > | assemblies = `null`,
|  | bool | clearBefore = `true`
| ) |  |
| inline

Stores all selectable assemblies to the specified list and returns the list.

The method takes care that assemblies stored are unique. If an assembly is currently selected then it is added to the list first.

This takes into account which kinds of assemblies can be selected.

Parameters

  assemblies | List where assemblies are stored.
  clearBefore | Whether the list is cleared at the beginnning of operation.

Returns
  The list where assemblies are stored. This enables one to put null list as argument.

virtual void IG.Forms.AssemblySelector.OnAssemblySelected | ( |  | ) |
| inline protected virtual

Called whenever the selected assembly changes.

virtual void IG.Forms.AssemblySelector.OnSelectionParametersChanged | ( |  | ) |
| inline protected virtual

Must be called whenever the selection parameters change.

void IG.Forms.AssemblySelector.AssemblySelector_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Executed when the current DLL selector control is loaded.

void IG.Forms.AssemblySelector.txtSelectedAssembly_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Lib.UtilSystem.GetAssemblyByName().

void IG.Forms.AssemblySelector.btnRefresh_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblySelector.comboLoadedAssemblies_SelectedIndexChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Lib.UtilSystem.GetAssemblyName().

void IG.Forms.AssemblySelector.comboReferencedAssemblies_SelectedIndexChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Lib.UtilSystem.GetAssemblyName().

void IG.Forms.AssemblySelector.fileSelector1_FileSelected | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblySelector.chkFiles_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblySelector.chkLoaded_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblySelector.chkReferenced_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.AssemblySelector.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.AssemblySelector.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

string IG.Forms.AssemblySelector._initialTextSelectedAssembly = "<< Type assembly name or select in lists below. >>"
| static private

string IG.Forms.AssemblySelector._initialTextLoadedList = "<< Loaded... >>"
| static private

string IG.Forms.AssemblySelector._initialTextReferencedList = "<< Referenced... >>"
| static private

string IG.Forms.AssemblySelector._initialTextLblFullName = "<< Assembly not selected. >>"
| static private

Assembly IG.Forms.AssemblySelector._asembly
| private

Assembly IG.Forms.AssemblySelector._fileSelectedAssembly = null
| private

bool IG.Forms.AssemblySelector._selectFromFiles
| private

bool IG.Forms.AssemblySelector._selectFromLoadedAssemblies = true
| private

bool IG.Forms.AssemblySelector._selectFromReferencedAssemblies = false
| private

List<Assembly> IG.Forms.AssemblySelector._loadedAssembliesList = new List<Assembly>()
| private

List<Assembly> IG.Forms.AssemblySelector._referencedAssembliesList = new List<Assembly>()
| private

System.ComponentModel.IContainer IG.Forms.AssemblySelector.components = null
| private

Required designer variable.

FileSelector IG.Forms.AssemblySelector.fileSelector1
| private

System.Windows.Forms.Button IG.Forms.AssemblySelector.btnRefresh
| private

System.Windows.Forms.Label IG.Forms.AssemblySelector.lblSelectedAssembly
| private

System.Windows.Forms.TextBox IG.Forms.AssemblySelector.txtSelectedAssembly
| private

System.Windows.Forms.ComboBox IG.Forms.AssemblySelector.comboLoadedAssemblies
| private

System.Windows.Forms.ComboBox IG.Forms.AssemblySelector.comboReferencedAssemblies
| private

System.Windows.Forms.CheckBox IG.Forms.AssemblySelector.chkFiles
| private

System.Windows.Forms.CheckBox IG.Forms.AssemblySelector.chkLoaded
| private

System.Windows.Forms.CheckBox IG.Forms.AssemblySelector.chkReferenced
| private

System.Windows.Forms.Label IG.Forms.AssemblySelector.lblAssemblyFullNameTitle
| private

System.Windows.Forms.Label IG.Forms.AssemblySelector.lblFullName
| private

## Property Documentation

string IG.Forms.AssemblySelector.InitialTextSelectedAssembly
| static get set

Initial text that is written in the textbox where loaded assembly is written.

string IG.Forms.AssemblySelector.InitialTextLoadedList
| static get set

Initial text that is written in the combobox with a list of loaded assemblies.

string IG.Forms.AssemblySelector.InitialTextReferencedList
| static get set

Initial text that is written in the combobox with a list of referenced assemblies.

string IG.Forms.AssemblySelector.InitialTextLblFullName
| static get set

Initial text that is written on the label that shows full name of the selected assembly.

Assembly IG.Forms.AssemblySelector.SelectedAssembly
| get set

Selected assembly.

Assembly IG.Forms.AssemblySelector.FileSelectedAssembly
| get protected set

The last assembly that was selected in the file sistem (no matter whether this is still the selected assembly or not).

bool IG.Forms.AssemblySelector.SelectFromFiles
| get set

Indicates whether assemblies can also be loaded from the file system. If false then assemblies can only be selected from the lists of loaded and / or referenced assemblies.

bool IG.Forms.AssemblySelector.SelectFromLoadedAssemblies
| get set

Indicates whether assemblies can also be selected from the list of loaded assemblies.

bool IG.Forms.AssemblySelector.SelectFromReferencedAssemblies
| get set

Indicates whether assemblies can also be selected from the list of referenced assemblies.

List<Assembly> IG.Forms.AssemblySelector.LoadedAssembliesList
| get protected

List of all loaded assemblies.

List<Assembly> IG.Forms.AssemblySelector.ReferencedAssembliesList
| get protected

List of all referenced assemblies.

## Event Documentation

EventHandler IG.Forms.AssemblySelector.AssemblySelected

Event that is fired whenever the selected assembly changes.

EventHandler IG.Forms.AssemblySelector.SelectionParametersChanged

Event that is fired whenever the selection parameters change (e.g., whether assemblies can be selected from the file system, or from the set of loaded assemblies, or from the set of assemblies referenced by the current assembly).

The documentation for this class was generated from the following files:

- igforms/Utilities/BasicControls/AssemblySelector.cs
- igforms/Utilities/BasicControls/AssemblySelector.Designer.cs